org.modeshape.jcr.query

## Interface QueryBuilder.OrderByOperandBuilder

- All Known Implementing Classes:
    QueryBuilder.SingleOrderByOperandBuilder
  Enclosing class:
    QueryBuilder

      public static interface QueryBuilder.OrderByOperandBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryBuilder.OrderByBuilder` | `childCount(String table)` Adds to the order-by clause by using the child count of the node given by the named table.
    `QueryBuilder.OrderByBuilder` | `depth(String table)` Adds to the order-by clause by using the depth of the node given by the named table.
    `QueryBuilder.OrderByBuilder` | `fullTextSearchScore(String table)` Adds to the order-by clause by using the full-text search score for the given table.
    `QueryBuilder.OrderByBuilder` | `length(String table, String property)` Adds to the order-by clause by using the length of the value for the given table and property.
    `QueryBuilder.OrderByOperandBuilder` | `lowerCaseOf()` Adds to the order-by clause by using the lowercase form of the next operand.
    `QueryBuilder.OrderByBuilder` | `nodeLocalName(String table)` Adds to the order-by clause by using the local name of the node given by the named table.
    `QueryBuilder.OrderByBuilder` | `nodeName(String table)` Adds to the order-by clause by using the node name (including namespace) of the node given by the named table.
    `QueryBuilder.OrderByBuilder` | `path(String table)` Adds to the order-by clause by using the path of the node given by the named table.
    `QueryBuilder.OrderByBuilder` | `propertyValue(String table, String property)` Adds to the order-by clause by using the value for the given table and property.
    `QueryBuilder.OrderByBuilder` | `referenceValue(String table)` Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.
    `QueryBuilder.OrderByBuilder` | `referenceValue(String table, String property)` Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
    `QueryBuilder.OrderByOperandBuilder` | `upperCaseOf()` Adds to the order-by clause by using the uppercase form of the next operand.

- - ### Method Detail

    - #### length

          QueryBuilder.OrderByBuilder length(String table,
                                           String property)

      Adds to the order-by clause by using the length of the value for the given table and property.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
        `property` - the name of the property; may not be null and must refer to a valid property name
      Returns:
        the interface for completing the order-by specification; never null

    - #### propertyValue

          QueryBuilder.OrderByBuilder propertyValue(String table,
                                                  String property)

      Adds to the order-by clause by using the value for the given table and property.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
        `property` - the name of the property; may not be null and must refer to a valid property name
      Returns:
        the interface for completing the order-by specification; never null

    - #### referenceValue

          QueryBuilder.OrderByBuilder referenceValue(String table)

      Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the order-by specification; never null

    - #### referenceValue

          QueryBuilder.OrderByBuilder referenceValue(String table,
                                                   String property)

      Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
        `property` - the name of the reference property; may be null if the constraint applies to all/any reference properties on the node
      Returns:
        the interface for completing the order-by specification; never null

    - #### fullTextSearchScore

          QueryBuilder.OrderByBuilder fullTextSearchScore(String table)

      Adds to the order-by clause by using the full-text search score for the given table.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the order-by specification; never null

    - #### childCount

          QueryBuilder.OrderByBuilder childCount(String table)

      Adds to the order-by clause by using the child count of the node given by the named table.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the order-by specification; never null

    - #### depth

          QueryBuilder.OrderByBuilder depth(String table)

      Adds to the order-by clause by using the depth of the node given by the named table.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the order-by specification; never null

    - #### path

          QueryBuilder.OrderByBuilder path(String table)

      Adds to the order-by clause by using the path of the node given by the named table.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the order-by specification; never null

    - #### nodeLocalName

          QueryBuilder.OrderByBuilder nodeLocalName(String table)

      Adds to the order-by clause by using the local name of the node given by the named table.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the order-by specification; never null

    - #### nodeName

          QueryBuilder.OrderByBuilder nodeName(String table)

      Adds to the order-by clause by using the node name (including namespace) of the node given by the named table.
      Parameters:
        `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
      Returns:
        the interface for completing the order-by specification; never null

    - #### upperCaseOf

          QueryBuilder.OrderByOperandBuilder upperCaseOf()

      Adds to the order-by clause by using the uppercase form of the next operand.
      Returns:
        the interface for completing the order-by specification; never null

    - #### lowerCaseOf

          QueryBuilder.OrderByOperandBuilder lowerCaseOf()

      Adds to the order-by clause by using the lowercase form of the next operand.
      Returns:
        the interface for completing the order-by specification; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.